<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.alexander-logistics</groupId>
	<artifactId>office-alexander-logistics</artifactId>
	<version>1.2.0</version>
	<packaging>pom</packaging>
	<name>Imixs Office Workflow - Custom Build</name>

	<modules>
		<module>office-alexander-logistics-app</module>
	</modules>


	<properties>
		<!-- <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> 
			because of resource filtering is enabled we can not use UTF-8 for some strange 
			reasons. When setting sourceEncoding to ISO-8859-1 the special german charcters 
			works fine 
			<project.build.sourceEncoding>ISO-8859-1</project.build.sourceEncoding>
		-->
		<!-- Build Time -->
		<org.imixs.build.timestamp>${maven.build.timestamp}</org.imixs.build.timestamp>
		<maven.build.timestamp.format>yyyyMMddHHmmss</maven.build.timestamp.format>

		<!-- Versions -->
		<org.imixs.workflow.version>5.2.14-SNAPSHOT</org.imixs.workflow.version>
		<org.imixs.marty.version>4.2.0</org.imixs.marty.version>
		<org.imixs.office.version>4.5.0-SNAPSHOT</org.imixs.office.version>
		<org.imixs.adapters.version>2.3.0</org.imixs.adapters.version>
		<org.imixs.archive.version>2.2.13</org.imixs.archive.version>
		<org.imixs.melman.version>1.0.20</org.imixs.melman.version>
		<org.imixs.ml.version>1.1.5</org.imixs.ml.version>
		<microprofile.version>2.2</microprofile.version>

		<custom.webResources>src/main/webapp</custom.webResources>
		
		<!-- Environment Settings -->
		<imixs-office.contextroot>/</imixs-office.contextroot>
		<imixs-office.realm>imixsrealm</imixs-office.realm>
		<imixs-office.jta-data-source>jdbc/office</imixs-office.jta-data-source>
		<imixs-office.IndexDir>lucene/office-index</imixs-office.IndexDir>
		<imixs-office.applicationname>office-alexander-logistics</imixs-office.applicationname>

		<!-- Wildfly unpack war -->
    	<custom.unpackTypes>war</custom.unpackTypes>
    	
    	<imixs-office.applicationname>office-alexander-logistics</imixs-office.applicationname>
    	
		<!-- jndi Mail res-ref name -->
		<imixs-mail-res-ref-name>java:/mail/org.imixs.workflow.mail</imixs-mail-res-ref-name>
		
    	<org.imixs.kubernetes.registry>registry.tikal.imixs.com</org.imixs.kubernetes.registry>
    	
	</properties>

	<repositories>
		<!-- Sonatype Snapshot repository -->
		<repository>
			<id>sonatype-snaptshots</id>
			<name>Sonatype Snapshot repository</name>
			<url>http://oss.sonatype.org/content/repositories/snapshots</url>
		</repository>
		<!-- Imixs repository -->
		<repository>
			<id>imixs-mvn-repo</id>
			<url>https://raw.githubusercontent.com/imixs/imixs-mvn-repo/master/</url>
			<snapshots>
				<enabled>false</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
		</repository>
	</repositories>

	<profiles>
		<profile>
			<id>docker</id>
			<!-- build latest - see ear module for details -->
		</profile>
		<profile>
			<id>debug</id>
			<!-- build latest - see ear module for details -->
		</profile>
		<profile>
			<id>kubernetes</id>
			<!-- build and push to rep - see ear module for details -->
		</profile>
	</profiles>
	
	
	<build>
		<resources>
			<!-- enable resource filtering for multi language version -->
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>2.3.2</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
		
		<finalName>office-alexander-logistics</finalName>
	</build>
	<dependencyManagement>
		<dependencies>

			<!-- Imixs Workflow -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-core</artifactId>
				<version>${org.imixs.workflow.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-engine</artifactId>
				<version>${org.imixs.workflow.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-faces</artifactId>
				<version>${org.imixs.workflow.version}</version>
			</dependency>
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-jax-rs</artifactId>
				<version>${org.imixs.workflow.version}</version>
			</dependency>
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-workflow-index-lucene</artifactId>
				<version>${org.imixs.workflow.version}</version>
			</dependency>

			<!-- Marty -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-marty</artifactId>
				<version>${org.imixs.marty.version}</version>
			</dependency>

			<!-- Office Workflow -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-office-workflow-app</artifactId>
				<version>${org.imixs.office.version}</version>
				<type>war</type>
			</dependency>


			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-office-workflow-util</artifactId>
				<version>${org.imixs.office.version}</version>
				<scope>provided</scope>
			</dependency>


			<!-- SEPA Adapter -->
			<dependency>
			    <groupId>org.imixs.workflow</groupId>
			    <artifactId>imixs-adapters-sepa</artifactId>
			    <version>${org.imixs.adapters.version}</version>
			    <scope>provided</scope>
			</dependency>
			<!-- QR Code -->
			<dependency>
			    <groupId>org.imixs.workflow</groupId>
			    <artifactId>imixs-adapters-qrcode</artifactId>
			    <version>${org.imixs.adapters.version}</version>
			    <scope>provided</scope>
			</dependency>

			<!-- Imixs-Archive API -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-archive-api</artifactId>
				<version>${org.imixs.archive.version}</version>
				<scope>provided</scope>
			</dependency>
			<!-- Imxixs-Archive Documents -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-archive-documents</artifactId>
				<version>${org.imixs.archive.version}</version>
				<scope>compile</scope>
			</dependency>
			<!-- Imxixs-Archive Importer -->
			<dependency>
				<groupId>org.imixs.workflow</groupId>
				<artifactId>imixs-archive-importer</artifactId>
				<version>${org.imixs.archive.version}</version>
				<scope>compile</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<dependencies>
		<!-- JEE Dependencies -->
		<dependency>
			<groupId>javax</groupId>
			<artifactId>javaee-api</artifactId>
			<version>7.0</version>
			<scope>provided</scope>
		</dependency>
		
		<!-- Microprofile -->
		<dependency>
			<groupId>org.eclipse.microprofile</groupId>
			<artifactId>microprofile</artifactId>
			<version>${microprofile.version}</version>
			<type>pom</type>
			<scope>provided</scope>
		</dependency>
		
		<!-- JUnit Tests -->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.8.1</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-all</artifactId>
			<version>1.9.5</version>
			<scope>test</scope>
		</dependency>
	</dependencies>
</project>	